# std::promise<R>::swap

From cppreference.com
< cpp‎ | thread‎ | promise

void swap( promise& other ) noexcept; |  | (since C++11)

Exchanges the shared states of two promise objects.

### Parameters

other | - | the promise to swap with

### Return value

(none)

### Example

| This section is incomplete Reason: no example

### See also

std::swap(std::promise) (C++11) | specializes the std::swap algorithm (function template)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/thread/promise/swap&oldid=93355"